aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2023-09-08 17:22:20 +0200
committerVratko Polak <vrpolak@cisco.com>2023-09-08 17:22:20 +0200
commitd8ec3f8673346c0dc93e567159771f24c1bf74fc (patch)
treefcd41208a2844af34e9ac1308574342c189b854f /resources/libraries/bash/entry
parent312cdcea80a8234a4a59b0dc8fc6d60a0c4ca73d (diff)
feat(perpatch): parse results from json
+ Use test names in output. - Methodology updated in subsequent change. Change-Id: I6a62f87249ea79262778f68d00f9bb81134f0b02 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index b1854992e2..aba899689e 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -73,13 +73,13 @@ for ((iter=0; iter<iterations; iter++)); do
select_build "build_current" || die
check_download_dir || die
run_robot || die
- archive_parse_test_results "csit_current/${iter}" || die
+ archive_test_results "csit_current/${iter}" || die
# TODO: Use less heavy way to avoid apt remove failures.
ansible_playbook "cleanup" || die
select_build "build_parent" || die
check_download_dir || die
run_robot || die
- archive_parse_test_results "csit_parent/${iter}" || die
+ archive_test_results "csit_parent/${iter}" || die
done
untrap_and_unreserve_testbed || die
compare_test_results # The error code becomes this script's error code.